Package jakarta.websocket

# Interface Decoder.TextStream<T>

All Superinterfaces:
  `Decoder`

Enclosing interface:
  `Decoder`

public static interface Decoder.TextStream<T> extends Decoder

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface jakarta.websocket.Decoder

  `Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `decode(Reader reader)`

  ### Methods inherited from interface jakarta.websocket.Decoder

  `destroy, init`

- ## Method Details

  - ### decode

    T decode(Reader reader) throws DecodeException, IOException
    Throws:
      `DecodeException`
      `IOException`